<?php

class Phonenumber extends Doctrine_Record
{
    public function setTableDefinition()
    {
        $this->hasColumn('phonenumber', 'string', 20);
        $this->hasColumn('user_id', 'integer');
        $options = array(
            'default' => false,
            'notnull' => true,
        );
        $this->hasColumn('deleted', 'boolean', 1, $options);
    }
    public function preDqlSelect($query, $component, $alias)
    {
        $field = $alias.'.deleted';
        if (!$query->contains($field)) {
            $query->addWhere($field.' = ?', array(false));
        }
    }
    public function preDqlDelete($query, $component, $alias)
    {
        $field = $alias.'.deleted';
        if (!$query->contains($field)) {
            $query->from('')->update($component.' '.$alias);
            $query->set($field, '?', array(false));
        }
    }
    public function preDelete($event)
    {
        $event->skipOperation();
    }
    public function postDelete($event)
    {
        $this->deleted = true;
        $this->save();
    }
}
