<?php

if (isset($_GET['h'])) {
    header("Location: http://localhost/highlight.php?size=12&file=".$_SERVER['SCRIPT_FILENAME']);
}

$width = isset($_GET['width']) ? $_GET['width'] : '850';

?>
<div style="width: <?php echo $width ?>px; font-family: verdana, arial, helvetica, sans-serif;">
<?php
$models_path = dirname($_SERVER['SCRIPT_FILENAME']).'/models';

set_include_path($models_path.DIRECTORY_SEPARATOR.get_include_path());

require_once('../lib/Doctrine.php');
spl_autoload_register(array('Doctrine', 'autoload'));

$conn = Doctrine_Manager::connection('mysql://root@localhost/ipc08spring', 'ipc08spring');

Doctrine::dropDatabases(array('ipc08spring'));
Doctrine::createDatabases(array('ipc08spring'));

if (empty($skipcreate)) {
    Doctrine::createTablesFromModels($models_path);
}

class MyListener extends Doctrine_EventListener
{
    public $filter = false;
    public $separator = "<br />\n";

    public function __construct($filter = false, $separator = "<br />\n")
    {
        if ($filter) {
            $this->filter = $filter;
        }
        $this->separator = $separator;
    }

    public function preStmtExecute(Doctrine_Event $event)
    {
        $this->outputEvent($event);
    }

    public function preExec(Doctrine_Event $event)
    {
        $this->outputEvent($event);
    }

    public function preQuery(Doctrine_Event $event)
    {
        $this->outputEvent($event);
    }

    private function outputEvent($event)
    {
        if ($this->filter && !preg_match($this->filter, $event->getQuery())) {
            return;
        }
        $message = $event->getQuery();

        if ($params = $event->getParams()) {
            $message.= "<br />\n".'    ('.implode(', ', $params) . ')';
        }
        echo $message.$this->separator;
    }
}

$filter = isset($filter) ? $filter : false;
$separator = isset($separator) ? $separator : "<br />\n";
$conn->addListener(new MyListener($filter, $separator));

function cleandir($dir, $remove = false) {
    if(!$dh = opendir($dir)) return;
    while (false !== ($obj = readdir($dh))) {
        if($obj=='.' || $obj=='..') {
            continue;
        }
        if (is_dir($dir.'/'.$obj)) {
            cleandir($dir.'/'.$obj, true);
        } else {
            unlink($dir.'/'.$obj);
        }
    }

    closedir($dh);
    if ($remove) {
        rmdir($dir);
    }
}

?>
