<?php require_once('../setup.php');

$conn->setAttribute(
    Doctrine::ATTR_VALIDATE,
    Doctrine::VALIDATE_ALL
);

$user = new User();
$user->name = 'Foo';
// username may not be blank
$user->username = '';
$user->password = 'yummy';
// email must be a valid email
$user->email = 'foo';

try {
    $user->save();
} catch (Doctrine_Validator_Exception $e) {
    // get all errors raised
    $userErrors = $user->getErrorStack();

    // iterate over all errors
    foreach($userErrors as $fieldName => $errorCodes) {
        $message = 'Error Code for field "%s": ';
        switch ($fieldName) {
        default:
            $msg = sprintf($message, $fieldName);
            echo $msg.implode(', ', $errorCodes);
            echo "<br />\n";
            break;
        }
    }
}
